package sdz.chapitredeux.notepad;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.text.Html.ImageGetter;

/**
 * Rcupre une image depuis les ressources
 * pour les ajouter dans l'interprteur HTML
 */
public class SmileyGetter implements ImageGetter {
	/* Context de notre activit */
	protected Context context = null;
	
	public SmileyGetter(Context c) {
		context = c;
	}

	public void setContext(Context context) {
		this.context = context;
	}

	@Override
	/**
	 * Donne un smiley en fonction du paramtre d'entre
	 * @param smiley Le nom du smiley  afficher
	 */
	public Drawable getDrawable(String smiley) {
		Drawable retour = null;
		
		//On rcupre le gestionnaire de ressources
		Resources resources = context.getResources();
		
		//Si on dsire le clin d'oeil..
		if(smiley.compareTo("clin") == 0)
			//... alors on rcupre le Drawable correspondant
			retour = resources.getDrawable(R.drawable.clin);
		else if(smiley.compareTo("smile") == 0)
			retour = resources.getDrawable(R.drawable.smile);
		else
			retour = resources.getDrawable(R.drawable.heureux);
		//On dlimite l'image (elle va de son coin en haut  gauche  son coin en bas  droite)
		retour.setBounds(0, 0, retour.getIntrinsicWidth(), retour.getIntrinsicHeight());
		return retour;
	}
}
